package com.iamberry.wechat.core.entity.customized;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.order.Order;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  牙刷定制-定制牙刷信息类
 * @author w
 * @Date 2018-05-30
 */
public class OrderCustomized  implements  Serializable{
    private static final long serialVersionUID = -1080052785541508059L;
    //定制牙刷id
    private Integer customizedId;
    //所属订单id
    private String salesOrderId;
    //外部订单号
    private String customizedExternalId;
    //定制颜色id
    private Integer customizedColorId;
    //颜色色值
    private String customizedColorValue;
    //颜色名称
    private String customizedColorName;
    //纹理id
    private Integer customizedPatternId;
    //纹理名称
    private String customizedPatternName;
    //纹理图片
    private String customizedPatternImg;
    //位置id
    private Integer customizedPositionId;
    //位置 1:正面 2:右侧 3:反面 4:左侧
    private Integer customizedPositionType;
    //纹理起始位置x轴坐标
    private Integer customizedPositionPatternX;
    //纹理起始位置y轴坐标
    private Integer customizedPositionPatternY;
    //文字起始位置x轴坐标
    private Integer customizedPositionTextX;
    //文字起始位置y轴坐标
    private Integer customizedPositionTextY;
    //头像起始位置x轴坐标
    private Integer customizedPositionAvatarX;
    //头像起始位置y轴坐标
    private Integer customizedPositionAvatarY;
    //定制文字
    private String customizedText;
    //定制头像
    private String customizedAvatarImg;
    //生成的牙刷图片
    private String customizedImg;

    //牙刷二维码图片
    private String customizedCodeImg;

    //类型：1微信 2天猫
    private Integer customizedType;
    //状态 1:正常 2:外部订单未上传
    private Integer customizedStatus;
    //创建时间'
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date customizedCreateTime;

    //电话号码
    private String salesAddressTel;
    //物流编号
    private String receivePostNum;
    //订单状态
    private Integer salesStatus;							//状态  0：取消订单  1：待支付  2：已支付、待发货  3：退款申请中  4：已退款  5：已发货  6：申请退货中  7：退货中  8：订单退货，订单关闭  9：换货中  10：换货完成

    private Order orderInfo;

    public Integer getCustomizedId(){
        return customizedId;
    }

    public void setCustomizedId(Integer  customizedId){
        this.customizedId=customizedId;
    }

    public String getSalesOrderId(){
        return salesOrderId;
    }

    public void setSalesOrderId(String  salesOrderId){
        this.salesOrderId=salesOrderId;
    }

    public String getCustomizedExternalId(){
        return customizedExternalId;
    }

    public void setCustomizedExternalId(String  customizedExternalId){
        this.customizedExternalId=customizedExternalId;
    }

    public Integer getCustomizedColorId(){
        return customizedColorId;
    }

    public void setCustomizedColorId(Integer  customizedColorId){
        this.customizedColorId=customizedColorId;
    }

    public String getCustomizedColorValue(){
        return customizedColorValue;
    }

    public void setCustomizedColorValue(String  customizedColorValue){
        this.customizedColorValue=customizedColorValue;
    }

    public String getCustomizedColorName(){
        return customizedColorName;
    }

    public void setCustomizedColorName(String  customizedColorName){
        this.customizedColorName=customizedColorName;
    }

    public Integer getCustomizedPatternId(){
        return customizedPatternId;
    }

    public void setCustomizedPatternId(Integer  customizedPatternId){
        this.customizedPatternId=customizedPatternId;
    }

    public String getCustomizedPatternName(){
        return customizedPatternName;
    }

    public void setCustomizedPatternName(String  customizedPatternName){
        this.customizedPatternName=customizedPatternName;
    }

    public String getCustomizedPatternImg(){
        return customizedPatternImg;
    }

    public void setCustomizedPatternImg(String  customizedPatternImg){
        this.customizedPatternImg=customizedPatternImg;
    }

    public Integer getCustomizedPositionId(){
        return customizedPositionId;
    }

    public void setCustomizedPositionId(Integer  customizedPositionId){
        this.customizedPositionId=customizedPositionId;
    }

    public Integer getCustomizedPositionType(){
        return customizedPositionType;
    }

    public void setCustomizedPositionType(Integer  customizedPositionType){
        this.customizedPositionType=customizedPositionType;
    }

    public Integer getCustomizedPositionPatternX(){
        return customizedPositionPatternX;
    }

    public void setCustomizedPositionPatternX(Integer  customizedPositionPatternX){
        this.customizedPositionPatternX=customizedPositionPatternX;
    }

    public Integer getCustomizedPositionPatternY(){
        return customizedPositionPatternY;
    }

    public void setCustomizedPositionPatternY(Integer  customizedPositionPatternY){
        this.customizedPositionPatternY=customizedPositionPatternY;
    }

    public Integer getCustomizedPositionTextX(){
        return customizedPositionTextX;
    }

    public void setCustomizedPositionTextX(Integer  customizedPositionTextX){
        this.customizedPositionTextX=customizedPositionTextX;
    }

    public Integer getCustomizedPositionTextY(){
        return customizedPositionTextY;
    }

    public void setCustomizedPositionTextY(Integer  customizedPositionTextY){
        this.customizedPositionTextY=customizedPositionTextY;
    }

    public Integer getCustomizedPositionAvatarX(){
        return customizedPositionAvatarX;
    }

    public void setCustomizedPositionAvatarX(Integer  customizedPositionAvatarX){
        this.customizedPositionAvatarX=customizedPositionAvatarX;
    }

    public Integer getCustomizedPositionAvatarY(){
        return customizedPositionAvatarY;
    }

    public void setCustomizedPositionAvatarY(Integer  customizedPositionAvatarY){
        this.customizedPositionAvatarY=customizedPositionAvatarY;
    }

    public String getCustomizedText(){
        return customizedText;
    }

    public void setCustomizedText(String  customizedText){
        this.customizedText=customizedText;
    }

    public String getCustomizedAvatarImg(){
        return customizedAvatarImg;
    }

    public void setCustomizedAvatarImg(String  customizedAvatarImg){
        this.customizedAvatarImg=customizedAvatarImg;
    }

    public String getCustomizedImg(){
        return customizedImg;
    }

    public void setCustomizedImg(String  customizedImg){
        this.customizedImg=customizedImg;
    }

    public Integer getCustomizedType(){
        return customizedType;
    }

    public void setCustomizedType(Integer  customizedType){
        this.customizedType=customizedType;
    }

    public Integer getCustomizedStatus(){
        return customizedStatus;
    }

    public void setCustomizedStatus(Integer  customizedStatus){
        this.customizedStatus=customizedStatus;
    }

    public Date getCustomizedCreateTime(){
        return customizedCreateTime;
    }

    public void setCustomizedCreateTime(Date  customizedCreateTime){
        this.customizedCreateTime=customizedCreateTime;
    }

    public Order getOrderInfo() {
        return orderInfo;
    }

    public void setOrderInfo(Order orderInfo) {
        this.orderInfo = orderInfo;
    }

    public String getSalesAddressTel() {
        return salesAddressTel;
    }

    public void setSalesAddressTel(String salesAddressTel) {
        this.salesAddressTel = salesAddressTel;
    }

    public String getReceivePostNum() {
        return receivePostNum;
    }

    public void setReceivePostNum(String receivePostNum) {
        this.receivePostNum = receivePostNum;
    }

    public Integer getSalesStatus() {
        return salesStatus;
    }

    public void setSalesStatus(Integer salesStatus) {
        this.salesStatus = salesStatus;
    }

    public String getCustomizedCodeImg() {
        return customizedCodeImg;
    }

    public void setCustomizedCodeImg(String customizedCodeImg) {
        this.customizedCodeImg = customizedCodeImg;
    }


}